Subject: CLI Help throws exception if related comments are not available
Description

The flow3:help:help command parses "see" annotations of the commands and retrieves their method description.
This leads to an exception if the target command is not available (e.g. if the respective package is not loaded).
For example: flow3 help package:create throw an exception if the kickstarter package is not installed.

Associated revisions
Revision 75a8b899 - 2011-09-26 09:34 - Bastian Waidelich

[BUGFIX] CLI Help throws exception if related comments are not available

The flow3:help:help command parses @see annotations of the
commands and retrieves the method description of related
commands.
This leads to an exception if the target command is not
available (e.g. if the respective package is not loaded).

This change fixes this by replacing the short description
with "<i>Command not available</i>" in those cases.

Change-Id: I961cdeaf2a0928017bdfaec16bfcb014ee428076
Resolves: #30261

History
#1 - 2011-09-26 09:33 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I961cdeaf2a0928017bdfaec16bfcb014ee428076 has been pushed to the review server.
It is available at http://review.typo3.org/5343

#2 - 2011-09-26 09:35 - Mr. Hudson

Patch set 2 of change I961cdeaf2a0928017bdfaec16bfcb014ee428076 has been pushed to the review server.
It is available at http://review.typo3.org/5343

#3 - 2011-09-28 19:05 - Bastian Waidelich
http://review.typo3.org/5343
http://review.typo3.org/5343


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:75a8b899390e115cbf5028abcb485029547aeb7d.
